image: python:3.7

stages:
  - build
  - test

build:
  stage: build
  before_script:
    - pip install poetry
  script:
    - poetry build
  artifacts:
    paths:
      - dist

test:
  stage: test
  before_script:
    - pip install poetry coverage pylint twine
  script:
    - poetry build
    - pip install dist/*.whl
    - COVERAGE_FILE=.coverage_ut coverage run -m unittest discover -s tests/unit -v
  artifacts:
    paths:
      - .coverage_ut

